//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class profilesongs_hook_GroupHook extends _HOOK_CLASS_
{
	public function profileSongsCanUse()
	{
		try
		{
			return \IPS\profilesongs\ProfileSongs\GroupSettings::load( $this->g_id, 'group_id' )->can_use;
		}
		catch( \Exception $e )
		{
			return FALSE;
		}
	}
	
	public function profileSongsUploadLimit()
	{
		try
		{
			return \IPS\profilesongs\ProfileSongs\GroupSettings::load( $this->g_id, 'group_id' )->upload_limit;
		}
		catch( \Exception $e )
		{
			return NULL;
		}
	}
	
	public function profileSongsMaximumFiles()
	{
		try
		{
			return \IPS\profilesongs\ProfileSongs\GroupSettings::load( $this->g_id, 'group_id' )->maximum_files;
		}
		catch( \Exception $e )
		{
			return NULL;
		}
	}
	
	public function profileSongsMultipleUploads()
	{
		try
		{
			return \IPS\profilesongs\ProfileSongs\GroupSettings::load( $this->g_id, 'group_id' )->multiple_uploads;
		}
		catch( \Exception $e )
		{
			return NULL;
		}
	}
}
